## ros-kinetic-mapviz 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mapviz)

set(COMMON_DEPS
  cv_bridge
  image_transport
  marti_common_msgs
  pluginlib
  rosapi
  roscpp
  rqt_gui
  rqt_gui_cpp
  std_srvs
  swri_transform_util
  swri_yaml_util
  tf
)
set(BUILD_DEPS
  ${COMMON_DEPS}
  message_generation
)
set(RUNTIME_DEPS
  ${COMMON_DEPS}
  message_runtime
)

find_package(catkin REQUIRED COMPONENTS
  ${BUILD_DEPS}
)

### Boost ###
find_package(Boost REQUIRED system filesystem)

### OpenCV
find_package(OpenCV COMPONENTS core imgproc imgcodecs videoio REQUIRED)

### Qt
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5OpenGL REQUIRED)
find_package(Qt5Widgets REQUIRED)
# Setting these variable so catkin_package can export Qt as a dependency
set(Qt_FOUND TRUE)
set(Qt_INCLUDE_DIRS "${Qt5Concurrent_INCLUDE_DIRS};${Qt5Core_INCLUDE_DIRS};${Qt5Gui_INCLUDE_DIRS};${Qt5OpenGL_INCLUDE_DIRS};${Qt5Widgets_INCLUDE_DIRS}")
set(Qt_LIBRARIES
  Qt5::Concurrent
  Qt5::Core
  Qt5::Gui
  Qt5::OpenGL
  Qt5::Widgets
)
add_definitions(-DWFlags=WindowFlags)
set(QT_USE_QTOPENGL TRUE)

### OpenGL ###
if(${CMAKE_VERSION} VERSION_EQUAL "3.11.0" OR ${CMAKE_VERSION} VERSION_GREATER "3.11.0")
  cmake_policy(SET CMP0072 NEW)
endif()
find_package(OpenGL REQUIRED)
find_package(GLUT REQUIRED)

### GLEW ###
find_package(GLEW REQUIRED)

add_service_files(FILES
  AddMapvizDisplay.srv
)

generate_messages(DEPENDENCIES
  marti_common_msgs
)

catkin_package(
  LIBRARIES rqt_${PROJECT_NAME}
  INCLUDE_DIRS include
  DEPENDS Qt
  CATKIN_DEPENDS ${RUNTIME_DEPS}
)

# Fix conflict between Boost signals used by tf and QT signals used by mapviz
add_definitions(-DQT_NO_KEYWORDS)

# Need to include the current dir to include the results of building Qt UI files
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${OpenGL_INCLUDE_DIR}
  ${GLEW_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

# Qt UI files
set(UI_FILES
  src/configitem.ui
  src/${PROJECT_NAME}.ui
  src/pluginselect.ui
)
# Headers containing QObject definitions
set(QT_HEADERS
  include/${PROJECT_NAME}/color_button.h
  include/${PROJECT_NAME}/config_item.h
  include/${PROJECT_NAME}/map_canvas.h
  include/${PROJECT_NAME}/${PROJECT_NAME}.h
  include/${PROJECT_NAME}/${PROJECT_NAME}_plugin.h
  include/${PROJECT_NAME}/rqt_${PROJECT_NAME}.h
  include/${PROJECT_NAME}/select_frame_dialog.h
  include/${PROJECT_NAME}/select_service_dialog.h
  include/${PROJECT_NAME}/select_topic_dialog.h
  include/${PROJECT_NAME}/video_writer.h
  include/${PROJECT_NAME}/widgets.h
)
# Source files for mapviz
set(SRC_FILES
  src/${PROJECT_NAME}.cpp
  src/color_button.cpp
  src/config_item.cpp
  src/${PROJECT_NAME}_application.cpp
  src/map_canvas.cpp
  src/rqt_${PROJECT_NAME}.cpp
  src/select_frame_dialog.cpp
  src/select_service_dialog.cpp
  src/select_topic_dialog.cpp
  src/video_writer.cpp
)

qt5_add_resources(RCC_SRCS src/resources/icons.qrc)
qt5_wrap_ui(SRC_FILES ${UI_FILES})
qt5_wrap_cpp(SRC_FILES ${QT_HEADERS})

### Build mapviz as an rqt plugin ###
add_library(rqt_${PROJECT_NAME}
  ${SRC_FILES}
  ${RCC_SRCS}
)
target_link_libraries(rqt_${PROJECT_NAME}
  ${Qt_LIBRARIES}
  ${OpenGL_LIBRARY}
  ${GLUT_LIBRARY}
  ${GLEW_LIBRARIES}
  ${OpenCV_LIBS}
  ${catkin_LIBRARIES}
)
add_dependencies(rqt_${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
set_target_properties(rqt_${PROJECT_NAME} PROPERTIES
  COMPILE_FLAGS "-std=c++11 -D__STDC_FORMAT_MACROS"
)
add_dependencies(rqt_${PROJECT_NAME}
  ${PROJECT_NAME}_gencpp
)

### Build mapviz as a standalone executable ###
add_executable(${PROJECT_NAME}
  src/${PROJECT_NAME}_main.cpp
)
target_link_libraries(${PROJECT_NAME}
  rqt_${PROJECT_NAME}
  ${Qt_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenGL_LIBRARY}
  ${GLUT_LIBRARY}
  ${GLEW_LIBRARIES}
  ${GLU_LIBRARY}
  ${OpenCV_LIBRARIES}
  ${catkin_LIBRARIES}
)
add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
set_target_properties(${PROJECT_NAME} PROPERTIES
  COMPILE_FLAGS "-std=c++11 -D__STDC_FORMAT_MACROS"
)
add_dependencies(${PROJECT_NAME}
  ${PROJECT_NAME}_gencpp
)

### Install mapviz ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME} rqt_${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-mapviz (1.4.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-kinetic-mapviz (1.4.0-1xenial) xenial; urgency=high

  * Support ROS Noetic (#696 <https://github.com/swri-robotics/mapviz/issues/696>)
  * Separate Save and Save As and open file dialogs in better locations. (#700 <https://github.com/swri-robotics/mapviz/issues/700>)
  * Contributors: Matthew, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 28 Jul 2020 05:00:00 -0000

ros-kinetic-mapviz (1.3.0-1xenial) xenial; urgency=high

  * Implement (#671 <https://github.com/swri-robotics/mapviz/issues/671>)
  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Resolves segfault issue on ClearHistory() function call (#651 <https://github.com/swri-robotics/mapviz/issues/651>)
  * Fix plug-in config panel to scroll per-pixel instead of per-item, allowing configuration of plug-ins that have config settings that are too large to fit in the panel all at once. (#646 <https://github.com/swri-robotics/mapviz/issues/646>)
  * Contributors: Daniel D'Souza, Marc Alban, Matthew, jreyes512

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-kinetic-mapviz (1.2.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-kinetic-mapviz (1.1.1-1xenial) xenial; urgency=high

  * Set main window as in focus on start #630 <https://github.com/swri-robotics/mapviz/issues/630>
  * Specify default configuration extension on save
  * Contributors: Daniel D'Souza, mattrich37, mrichardson

 -- Marc Alban <malban@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-kinetic-mapviz (1.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-kinetic-mapviz (1.0.1-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-kinetic-mapviz (1.0.0-1xenial) xenial; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Contributors: Davide Faconti

 -- Marc Alban <malban@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-kinetic-mapviz (0.3.0-1xenial) xenial; urgency=high

  * Merge all -devel branches into a single master branch
  * Add function to lock canvas movement (#596 <https://github.com/swri-robotics/mapviz/issues/596>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-kinetic-mapviz (0.2.6-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-kinetic-mapviz (0.2.5-1xenial) xenial; urgency=high

  * Add clear history functionality.
  * New plugin to send commands to move_base
  * improve text contrast (#550 <https://github.com/swri-robotics/mapviz/issues/550>)
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * remove copy and paste of Print...
  * add context menu to config_item (#526 <https://github.com/swri-robotics/mapviz/issues/526>)
  * Merge pull request #523 <https://github.com/swri-robotics/mapviz/issues/523> from matt-attack/add-keyboard-input-support-kinetic
  * Add keyboard input support for plugins
  * update to use non deprecated pluginlib macro
  * Fix the "File" menu actions (#513 <https://github.com/swri-robotics/mapviz/issues/513>)
  * Merge pull request #481 <https://github.com/swri-robotics/mapviz/issues/481> from pjreed/threaded-video-recording-kinetic
  * Move video recording into its own thread
  * Contributors: Davide Faconti, Marc Alban, Matthew Bries, Mikael Arguedas, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-kinetic-mapviz (0.2.4-1xenial) xenial; urgency=high

  * Add basic profiling to mapviz.
  * Handle GL canvas transforms with an invalid target frame
  * Add parameter to disable auto-saving functionality.
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-kinetic-mapviz (0.2.3-1xenial) xenial; urgency=high

  * Fix mapviz kinetic build. (#456 <https://github.com/evenator/mapviz/issues/456>)
    Add a missing rosdep dependency on libxi-dev.
  * Contributors: Edward Venator

 -- Marc Alban <malban@swri.org>  Sat, 10 Dec 2016 06:00:00 -0000

ros-kinetic-mapviz (0.2.2-1xenial) xenial; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-kinetic-mapviz (0.2.1-1xenial) xenial; urgency=high

  * Add a GUI for controlling the Image Transport (#432 <https://github.com/swri-robotics/mapviz/issues/432>)
    This will add a sub-menu under the "View" menu that will:
    - List all available image transports
    - Indicate which one is currently the default
    - Allow the user to choose which one will be used for new ImageTransport subscriptions
    - Save and restore this setting to Mapviz's config file
    - Cause any image plugins using the default transport to resubscribe
    In addition, the image plugin now has a menu that can be used to change the
    transport for that specific plugin so that it is different from the default.
    Fixes #430 <https://github.com/swri-robotics/mapviz/issues/430>
    Conflicts:
    mapviz/package.xml
  * Fix icon colors for point drawing plugins (#433 <https://github.com/swri-robotics/mapviz/issues/433>)
    This was probably broken back when all of these were refactored to have a
    single base class.  It looks like the member variable that holds the color
    used to draw the icon was never actually being updated.
    Fixes #426 <https://github.com/swri-robotics/mapviz/issues/426>
  * Remove unnecessary include
  * Fix warnings in mapviz.
    Fix several reorder and signed comparison warnings in the mapviz
    package.
  * Giving tile_map an interface overhaul


=== debian/control ===
Source: ros-kinetic-mapviz
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libglew-dev, libqt5opengl5-dev, libxi-dev, libxmu-dev, pkg-config, qt5-qmake, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-image-transport, ros-kinetic-marti-common-msgs, ros-kinetic-message-generation, ros-kinetic-pluginlib, ros-kinetic-rosapi, ros-kinetic-roscpp, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-cpp, ros-kinetic-std-srvs, ros-kinetic-swri-transform-util, ros-kinetic-swri-yaml-util, ros-kinetic-tf
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-kinetic-mapviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libglew-dev, libqt5core5a, libqt5opengl5, libxi-dev, libxmu-dev, ros-kinetic-cv-bridge, ros-kinetic-image-transport, ros-kinetic-marti-common-msgs, ros-kinetic-message-runtime, ros-kinetic-pluginlib, ros-kinetic-rosapi, ros-kinetic-roscpp, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-cpp, ros-kinetic-std-srvs, ros-kinetic-swri-transform-util, ros-kinetic-swri-yaml-util, ros-kinetic-tf
Description: mapviz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mapviz//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
